%define upstream_name	 Test-Deep
%define upstream_version 1.205

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extremely flexible deep comparison
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.90.0
BuildRequires: perl(Scalar::Util) >= 1.90.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildArch:  noarch

%description
Test::Deep gives you very flexible ways to check that the result you got is the
result you were expecting. At it's simplest it compares two structures by going
through each level, ensuring that the values match, that arrays and hashes have
the same elements and that references are blessed into the correct class. It
also handles circular data structures without getting caught in an infinite
loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Apr 03 2025 tv <tv> 1.205.0-1.mga10
+ Revision: 2173143
- update to 1.205

* Mon Jan 09 2023 tv <tv> 1.204.0-1.mga9
+ Revision: 1931793
- update to 1.204

* Mon Mar 21 2022 umeabot <umeabot> 1.130.0-2.mga9
+ Revision: 1812424
- Mageia 9 Mass Rebuild

* Mon Mar 02 2020 tv <tv> 1.130.0-1.mga8
+ Revision: 1552841
- update to 1.130

* Wed Feb 12 2020 umeabot <umeabot> 1.128.0-3.mga8
+ Revision: 1506235
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.128.0-2.mga7
+ Revision: 1286421
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 1.128.0-1.mga7
+ Revision: 1220771
- update to 1.128

* Sun Jul 23 2017 shlomif <shlomif> 1.127.0-1.mga7
+ Revision: 1128966
- update to 1.127

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-2.mga6
+ Revision: 1034269
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.120.0-1.mga6
+ Revision: 923929
- update to 1.120

* Fri Oct 16 2015 tv <tv> 0.119.0-2.mga6
+ Revision: 892148
- BR perl(Module::Build)

* Wed Oct 14 2015 sander85 <sander85> 0.119.0-1.mga6
+ Revision: 891549
- update to 0.119

* Sun Jul 05 2015 sander85 <sander85> 0.117.0-1.mga6
+ Revision: 851453
- update to 0.117

* Wed Oct 15 2014 umeabot <umeabot> 0.113.0-3.mga5
+ Revision: 744732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.113.0-2.mga5
+ Revision: 686423
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 sander85 <sander85> 0.113.0-1.mga5
+ Revision: 666843
- update to 0.113

* Mon Feb 10 2014 jquelin <jquelin> 0.112.0-1.mga5
+ Revision: 588688
- update to 0.112

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 515151
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 373453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 267507
- update to 0.110

* Fri Feb 24 2012 jquelin <jquelin> 0.109.0-1.mga2
+ Revision: 213778
- update to 0.109

* Mon Feb 21 2011 spuhler <spuhler> 0.108.0-2.mga1
+ Revision: 55169
- Increased rel for rebuild against perl-5.12

* Wed Jan 19 2011 jquelin <jquelin> 0.108.0-1.mga1
+ Revision: 24061
- fix spec file
- imported package perl-Test-Deep

